Subject: bug#76687: global-hi-lock-mode prompts on its own help

From: Daniel Colascione <[email-masked]>
Date: Sun, 02 Mar 2025 10:49:15 -0500

>From emacs -Q, M-x global-hi-lock-mode, then C-h m, then quit the help
buffer, and type C-h m again.  You'll get prompted about whether you
want to apply the hi-lock patterns in the help buffer.  And then,
because for some reason we don't actually clear the help buffer but just
narrow it to what we want, the next time you ask for help, even on
something unrelated to hi-lock (e.g. progn), hi-lock will ask you
whether you want to apply hi-lock patterns.